---
sourceDocument: Xanadu API Reference
sourceDocumentLink: https://servicenow-prod.fluidtopics.net/r/xanadu/api-reference

 Release :

    - xanadu

ft:locale :

    - en-US

ft:publication_title :

    - Xanadu API Reference

ft:clusterId :

    - crapiref

bundleId :

    - crapiref

workflow :

    - Creator


---

# Technical Service Qualification Open API

# Technical Service Qualification Open API {#ariaid-title1}

* Release version: Xanadu
* 
* Updated August 1, 2024
* 
* ![](https://www.servicenow.com/docs/portal-asset/ico-clock) 48 minutes to read

The Technical Service Qualification Open API provides endpoints to check the availability of resources and services before submitting orders for fulfillment.
This API is a ServiceNow implementation of the TMF645 Service Qualification API REST Specification. For more information about service qualification requests, see .  
The Technical Service Qualification Open API is provided within the `sn_ord_qual_mgmt` namespace and requires the following plugins:

* Product Catalog Management Core \[com.sn_prd_pm\]
* Product Catalog Advanced \[com.sn_prd_pm_adv\]
* Order Qualification Management \[com.sn_ord_qual_mgmt\]
* Order Management for Telecom, Media \& Tech \[com.sn_tmt_core\]
* Telecom Core \[com.sn_tmt_core\]
{#ts-qualification-api__ul_kbx_j5y_dwb}

The sn_ind_tmt_orm.order_integrator role is required to use this API.

## Technical Service Qualification Open API - GET sn_ord_qual_mgmt/qualification/checkServiceQualification/{id} {#ariaid-title2}

Retrieves a technical qualification request that is associated with a given customer
order ID.
This endpoint retrieves order information from the following tables:

* Customer Order \[sn_ind_tmt_orm_order\]
* Order Line Item \[sn_ind_tmt_orm_order_line_item\]
{#tsq-GET-checkServiceQualification-id__ul_syn_csv_fwb}

### URL format

Versioned URL:
/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/{id}

### Supported request parameters

{#tsq-GET-checkServiceQualification-id__entry__2}{#tsq-GET-checkServiceQualification-id__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
| id | Sys_id of the qualification customer order to retrieve. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
[Table 1. Path parameters]

{#tsq-GET-checkServiceQualification-id__entry__8}

| Name | Description |
|-|-|
| None |   |
[Table 2. Query parameters]

{#tsq-GET-checkServiceQualification-id__entry__12}

| Name | Description |
|-|-|
| None |   |
[Table 3. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tsq-GET-checkServiceQualification-id__entry__16}{#tsq-GET-checkServiceQualification-id__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Table 4. Request headers]

{#tsq-GET-checkServiceQualification-id__entry__20}

| Header | Description |
|-|-|
| None |   |
[Table 5. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tsq-GET-checkServiceQualification-id__table_dg5_x4m_b1c__entry__2}{#tsq-GET-checkServiceQualification-id__entry-200-status-code}{#tsq-GET-checkServiceQualification-id__entry-400-status-code}{#tsq-GET-checkServiceQualification-id__entry-404-status-code}

|   |   |
|-|-|
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 404 | Not found. The requested item wasn't found. |
[Table 6. Status codes]

{#tsq-GET-checkServiceQualification-id__table_dg5_x4m_b1c}

### Response body parameters (JSON or XML)

{#tsq-GET-checkServiceQualification-id__id_lb3_gpq_fwb__entry__2}{#tsq-GET-checkServiceQualification-id__TSQ-return-id}{#tsq-GET-checkServiceQualification-id__TSQ-return-href}{#tsq-GET-checkServiceQualification-id__TSQ-return-descriptions}{#tsq-GET-checkServiceQualification-id__TSQ-return-externalId}{#tsq-GET-checkServiceQualification-id__TSQ-return-qualificationResult}{#tsq-GET-checkServiceQualification-id__TSQ-return-state}{#tsq-GET-checkServiceQualification-id__TSQ-return-type}{#tsq-GET-checkServiceQualification-id__TSQ-return-checkServiceQualificationDate}{#tsq-GET-checkServiceQualification-id__TSQ-return-effectiveQualificationDate}{#tsq-GET-checkServiceQualification-id__TSQ-return-expectedQualificationDate}{#tsq-GET-checkServiceQualification-id__TSQ-return-relatedParty}{#tsq-GET-checkServiceQualification-id__TSQ-return-relatedParty.id}{#tsq-GET-checkServiceQualification-id__TSQ-return-relatedParty.name}{#tsq-GET-checkServiceQualification-id__TSQ-return-relatedParty.type}{#tsq-GET-checkServiceQualification-id__TSQ-return-relatedParty.referredType}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.id}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.qualificationResult}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.state}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.quantity}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.type}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.type}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.place}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.place.id}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.place.name}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.place.type}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceSpecification}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceSpecification.id}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceSpecification.name}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceSpecification.version}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceSpecification.internalVersion}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceSpecification.internalId}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceSpecification.type}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceCharacteristic}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceCharacteristic.valueType}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceCharacteristic.name}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.service.serviceCharacteristic.value}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.id}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateService}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.id}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.name}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.version}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.internalVersion}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.internalId}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.type}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.valueType}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.name}{#tsq-GET-checkServiceQualification-id__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.value}{#tsq-GET-checkServiceQualification-id__serviceQualificationItem.eligibilityUnavailabilityReason}{#tsq-GET-checkServiceQualification-id__serviceQualificationItem.eligibilityUnavailabilityReason.code}{#tsq-GET-checkServiceQualification-id__serviceQualificationItem.eligibilityUnavailabilityReason.label}

| Name | Description |
|-|-|
| id | Sys_id of the qualification customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
| href | Relative link to the qualification order record. Data type: String |
| description | Description of the qualification request which is fetched from the short_description field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
| externalId | External ID from the external_id field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
| qualificationResult | Qualification status of the result field of the customer order. Possible values: * alternate * none * pending * qualified * unqualified Data type: String |
| state | State of customer order from the status field of customer order. Data type: String |
| @type | Part of TMF Open API standard. Annotation for the qualification. This value is always `CheckServiceQualification`. This information is not stored. Data type: String |
| checkServiceQualificationDate | Date and time the qualification request that was created from the order_date field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| effectiveQualificationDate | Effective qualification date fetched from the order_date field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| expectedQualificationDate | Stores the expected qualification date. Persisted in expected_end_date field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| relatedParty | List of contacts for the qualification request. Each contact is an object in the array. Data type: Array of Objects "relatedParty": [ { "id": "String", "name": "String", "@referredType": "String", "@type": "String" } ] |
| relatedParty.id | Sys_id or external_id of the account, customer contact, or consumer associated with the order. Located in the Account \[customer_account\] table, Contact \[customer_contact\] table, or Consumer \[csm_consumer\] table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| relatedParty.@type | Part of TMF Open API standard. Annotation for the order line item contact. This value is always `RelatedParty`. This information is not stored. Data type: String |
| relatedParty.@referredType | Type of related party. Possible values: * Consumer * Customer * CustomerContact Data type: String |
| serviceQualificationItem | List of service qualification items containing information about location, service information, and service characteristics. Stored as order line items for the customer order. Data type: Array of Objects "serviceQualificationItem": [ { "id": "String", "action": "String", "expectedServiceAvailabilityDate": "Number", "service": {Object}, "@type": "String" } ], |
| serviceQualificationItem.id | ID of the qualification item. Stored in the external_id field of customer order line item in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| serviceQualificationItem.qualificationResult | Result of qualification item. Stored in the 'result' field of customer order line item. Located in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Possible values: * alternate * none * pending * qualified * unqualified Data type: String |
| serviceQualificationItem.state | State of qualification item derived from the 'status' field of customer order line item. Located in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| serviceQualificationItem.quantity | Quantity of qualification item derived from the 'quantity' field of customer order line item. Located in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: Number |
| serviceQualificationItem.@type | Part of TMF Open API standard. Annotation for the qualification item. This value is always ServiceQualificationItem. This information is not stored. Data type: String |
| serviceQualificationItem.service | Service information which includes details about location (place), service specifications, and service characteristics. Data type: Object "service": { "@type": "String", "place": [Array], "serviceCharacteristic": [Array], "serviceSpecification": {Object} } |
| serviceQualificationItem.service.@type | Part of TMF Open API standard. Annotation for the service. This value is always `Service`. This information is not stored. Data type: String |
| serviceQualificationItem.service.place | Location information for the service qualification item. Data type: Array of objects Note: This array can contain only one location. "place": [ { "id": "String", "name": "String", "@referredType": "String" } ] |
| serviceQualificationItem.service.place.id | Sys_id of a location in the Location \[cmn_location\] table. Data type: String |
| serviceQualificationItem.service.place.name | Name of the location. Not verified against an entry in the Location \[cmn_location\] table. Data type: String |
| serviceQualificationItem.service.place.@type | Part of TMF Open API standard. Annotation for Service. This value is always `GeographicSite`. This information is not stored. Data type: String |
| serviceQualificationItem.service.serviceSpecification | Service specification details for the qualification item. Data type: Array of objects "serviceSpecification": { "id": "String", "internalVersion": "Number", "internalId": "String", "name": "String" "@type": "ServiceSpecification" "version": "String", } |
| serviceQualificationItem.service.serviceSpecification.id | External ID or initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.name | Name of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.version | External version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.internalVersion | Internal version of the service specification. Data type: Number |
| serviceQualificationItem.service.serviceSpecification.internalId | Initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always `ServiceSpecification`. This information is not stored. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic | List of service characteristics. Data type: Array of objects "serviceCharacteristic": [ { "name": "String", "value": "String" "valueType": "String", } ] |
| serviceQualificationItem.service.serviceCharacteristic.valueType | Value type of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.name | Name of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.value | Value of the characteristic. Data type: String |
| ServiceQualificationItem.alternateServiceProposal | Alternate service proposal for the qualification order. Alternate proposals are stored in the Alternate Proposal \[sn_ord_qual_mgmt_alternate_proposal\] table. Data type: String |
| ServiceQualificationItem.alternateServiceProposal.id | Sys_id of the alternate proposal entry in the Alternate Proposal \[sn_ord_qual_mgmt_alternate_proposal\] table. Data type: String |
| ServiceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate | The available_date field value of the alternate proposal entry in the Alternate Proposal \[sn_ord_qual_mgmt_alternate_proposal\] table. Data type: String |
| serviceQualificationItem.alternateServiceProposal.alternateService | Service information represented by the alternate proposal. Data type: Object |
| serviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification | Service specification of the alternate proposal persisted in specification of the Alternate Proposal \[sn_ord_qual_mgmt_alternate_proposal\] table. Data type: Object |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.id | External ID or initial version of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.name | Name of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.version | External version of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalVersion | Internal version of the alternate service specification. Data type: Number |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalId | Initial version of the alternate service specification. Data type: String |
| ServiceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always `ServiceSpecification`. This information is not stored. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic | Array of service characteristics for the alternate service proposal. Data type: Array of objects "serviceCharacteristic": [ { "name": "String", "value": "String", "valueType": "String" } ] |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.valueType | Value type of the alternate service characteristic. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.name | Name of the alternate service characteristic. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.value | Value of the alternate service characteristic. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason | A list of service eligibility unavailability reasons to explain why the service is not available. This value is persisted in unavailability_reason field of the Domain Order \[sn_ind_tmt_orm_domain_order\] table. Data type: Array |
| serviceQualificationItem.eligibilityUnavailabilityReason.code | Service eligibility unavailability reason code. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason.label | Service eligibility unavailability reason label. Data type: String |
[ ]

{#tsq-GET-checkServiceQualification-id__id_lb3_gpq_fwb}  

### Sample cURL request {#tsq-GET-checkServiceQualification-id__example_hrm_4rv_fwb}

The following example retrieves an entire specific qualification order associated with a
given Sys_id of a qualification customer order.

    curl -location --request GET "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/4b5aa0a538b31110f877c8d44c4b8947" \ 
    --user "username":"password"

Response:

    [
      {
        "id": "001b359545371150f877e0588eca21ca",
        "href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/001b359545371150f877e0588eca21ca",
        "description": "check service qualification illustration",
        "externalId": "CSQ1",
        "qualificationResult": "none",
        "state": "new",
        "@type": "CheckServiceQualification",
        "checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
        "relatedParty": [
          {
            "id": "eaf68911c35420105252716b7d40ddde",
            "name": "Sally Thomas",
            "@type": "RelatedParty",
            "@referredType": "CustomerContact"
          },
          {
            "id": "ffc68911c35420105252716b7d40dd55",
            "name": "Funco Intl",
            "@type": "RelatedParty",
            "@referredType": "Customer"
          },
          {
            "id": "59f16de1c3b67110ff00ed23a140dd9e",
            "name": "Funco External",
            "@type": "RelatedParty",
            "@referredType": "Consumer"
          }
        ],
        "serviceSpecification": {
          "id": "91478553b7969910ff00f203ae11a97d",
          "name": "Broadband Service",
          "version": "",
          "internalVersion": "1",
          "internalId": "91478553b7969910ff00f203ae11a97d",
          "@type": "ServiceSpecification"
        },
        "place": {
          "id": "5671dd2ec3a53010188473ce3640dd81",
          "name": "3000 Main Street, Santa Clara, CA",
          "@referredType": "GeographicSite"
        },
        "expectedQualificationDate": "2022-10-11T15:20:39.000Z"
      },
      {
        "id": "0236b75145fb1150f877e0588eca2145",
        "href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/0236b75145fb1150f877e0588eca2145",
        "description": "check service qualification illustration",
        "externalId": "CSQ1",
        "qualificationResult": "none",
        "state": "new",
        "@type": "CheckServiceQualification",
        "checkServiceQualificationDate": "2022-12-15T08:57:50.000Z",
        "relatedParty": [
          {
            "id": "eaf68911c35420105252716b7d40ddde",
            "name": "Sally Thomas",
            "@type": "RelatedParty",
            "@referredType": "CustomerContact"
          },
          {
            "id": "ffc68911c35420105252716b7d40dd55",
            "name": "Funco Intl",
            "@type": "RelatedParty",
            "@referredType": "Customer"
          },
          {
            "id": "59f16de1c3b67110ff00ed23a140dd9e",
            "name": "Funco External",
            "@type": "RelatedParty",
            "@referredType": "Consumer"
          }
        ],
        "serviceQualificationItem": [
          {
            "id": "110",
            "qualificationResult": "none",
            "state": "new",
            "quantity": "1",
            "@type": "ServiceQualificationItem",
            "service": {
              "@type": "Service",
              "serviceCharacteristic": [
                {
                  "name": "Fiber Speed",
                  "valueType": "choice",
                  "value": "1Gbps"
                }
              ],
              "serviceSpecification": {
                "id": "4d2b5799457b1150f877e0588eca2116",
                "name": "CFS3",
                "version": "",
                "internalVersion": "1",
                "internalId": "4d2b5799457b1150f877e0588eca2116",
                "@type": "ServiceSpecification"
              },
              "place": {
                "id": "5671dd2ec3a53010188473ce3640dd81",
                "name": "3000 Main Street, Santa Clara, CA",
                "@referredType": "GeographicSite"
              }
            }
          },
          {
            "id": "130",
            "qualificationResult": "none",
            "state": "new",
            "quantity": "1",
            "@type": "ServiceQualificationItem",
            "service": {
              "@type": "Service",
              "serviceCharacteristic": [
                {
                  "name": "Wireless Speed",
                  "valueType": "choice",
                  "value": "100 Mbps"
                }
              ],
              "serviceSpecification": {
                "id": "28733d1d45f31150f877e0588eca2163",
                "name": "CFS2",
                "version": "",
                "internalVersion": "1",
                "internalId": "28733d1d45f31150f877e0588eca2163",
                "@type": "ServiceSpecification"
              },
              "place": {
                "id": "5671dd2ec3a53010188473ce3640dd81",
                "name": "3000 Main Street, Santa Clara, CA",
                "@referredType": "GeographicSite"
              }
            }
          },
          {
            "id": "100",
            "qualificationResult": "none",
            "state": "new",
            "quantity": "1",
            "@type": "ServiceQualificationItem",
            "service": {
              "@type": "Service",
              "serviceCharacteristic": [
                {
                  "name": "Speed",
                  "valueType": "choice",
                  "value": ""
                }
              ],
              "serviceSpecification": {
                "id": "b3933d9d45f31150f877e0588eca21fc",
                "name": "Access Service",
                "version": "",
                "internalVersion": "1",
                "internalId": "b3933d9d45f31150f877e0588eca21fc",
                "@type": "ServiceSpecification"
              },
              "place": {
                "id": "5671dd2ec3a53010188473ce3640dd81",
                "name": "3000 Main Street, Santa Clara, CA",
                "@referredType": "GeographicSite"
              }
            }
          },
          {
            "id": "120",
            "qualificationResult": "none",
            "state": "new",
            "quantity": "1",
            "@type": "ServiceQualificationItem",
            "service": {
              "@type": "Service",
              "serviceCharacteristic": [
                {
                  "name": "DSL Speed",
                  "valueType": "choice",
                  "value": "500 Mbps"
                }
              ],
              "serviceSpecification": {
                "id": "1d43f91d45f31150f877e0588eca21cd",
                "name": "CFS1",
                "version": "",
                "internalVersion": "1",
                "internalId": "1d43f91d45f31150f877e0588eca21cd",
                "@type": "ServiceSpecification"
              },
              "place": {
                "id": "5671dd2ec3a53010188473ce3640dd81",
                "name": "3000 Main Street, Santa Clara, CA",
                "@referredType": "GeographicSite"
              }
            }
          }
        ],
        "expectedQualificationDate": "2022-10-11T15:20:39.000Z"
      }
    ]

## Technical Service Qualification Open API - GET
sn_ord_qual_mgmt/qualification/checkServiceQualification {#ariaid-title3}

Retrieves a list of all technical qualification requests.
This endpoint retrieves order information from the following tables:

* Customer Order \[sn_ind_tmt_orm_order\]
* Order Line Item \[sn_ind_tmt_orm_order_line_item\]
{#tsq-GET-checkServiceQualification__ul_rzn_syg_fwb}

This endpoint returns 20 records by default but can return a maximum of 100 records. Use
query filters to narrow results according to status, field name(s), description, and
qualification result.

### URL format

Versioned URL:
/api/sn_ord_qual_mgmt/qualification/checkServiceQualification

### Supported request parameters

{#tsq-GET-checkServiceQualification__entry__2}{#tsq-GET-checkServiceQualification__version-not_optional-RESTAPI}

| Name | Description |
|-|-|
| api_version | Optional. Version of the endpoint to access. For example, <kbd class="ph userinput">v1</kbd> or <kbd class="ph userinput">v2</kbd>. Only specify this value to use an endpoint version other than the latest. Data type: String |
[Table 7. Path parameters]

{#tsq-GET-checkServiceQualification__table_qbb_tlq_fwb__entry__2}

| Parameter | Description |
|-|-|
| description | Filters qualification orders by the 'short_description' field of the customer order. Only orders with a short description matching the value of this parameter are returned in the response. Data type: String |
| fields | List of field names to return in the response. Invalid fields are ignored. If this parameter is not provided in the request, all fields are returned. Data type: String, comma separated |
| limit | Maximum number of records to return. For requests that exceed this number of records, use the offset parameter to paginate record retrieval. Default: 20 Maximum: 100 Data type: Number |
| qualificationResult | Filters qualification orders by result. Only orders with a result matching the value of this parameter are returned in the response. Data type: String |
| state | Filters qualification orders by state. Only orders with a state matching the value of this parameter are returned in the response. Data type: String |
[Table 8. Query Parameters]

{#tsq-GET-checkServiceQualification__table_qbb_tlq_fwb} {#tsq-GET-checkServiceQualification__entry__18}

| Name | Description |
|-|-|
| None |   |
[Table 9. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tsq-GET-checkServiceQualification__entry__22}{#tsq-GET-checkServiceQualification__accept-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
[Table 10. Request headers]

{#tsq-GET-checkServiceQualification__entry__26}

| Header | Description |
|-|-|
| None |   |
[Table 11. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tsq-GET-checkServiceQualification__table_wwn_rhd_ct__entry__2}

| Status code | Description |
|-|-|
| 200 | Request successfully processed. Full resource returned in response (no pagination). |
| 206 | Partial resource returned in response (with pagination). |
| 400 | Bad request. Possible reasons: * Invalid path parameter * Invalid URI {#tsq-GET-checkServiceQualification__ul_lr4_rzg_fwb} |
| 404 | No record found for the filter criteria. |
[Table 12. Status codes]

{#tsq-GET-checkServiceQualification__table_wwn_rhd_ct}

### Response body parameters (JSON or XML)

{#tsq-GET-checkServiceQualification__id_zmj_cmq_fwb__entry__2}{#tsq-GET-checkServiceQualification__TSQ-return-id}{#tsq-GET-checkServiceQualification__TSQ-return-href}{#tsq-GET-checkServiceQualification__TSQ-return-descriptions}{#tsq-GET-checkServiceQualification__TSQ-return-externalId}{#tsq-GET-checkServiceQualification__TSQ-return-qualificationResult}{#tsq-GET-checkServiceQualification__TSQ-return-state}{#tsq-GET-checkServiceQualification__TSQ-return-type}{#tsq-GET-checkServiceQualification__TSQ-return-checkServiceQualificationDate}{#tsq-GET-checkServiceQualification__TSQ-return-effectiveQualificationDate}{#tsq-GET-checkServiceQualification__TSQ-return-expectedQualificationDate}{#tsq-GET-checkServiceQualification__TSQ-return-relatedParty}{#tsq-GET-checkServiceQualification__TSQ-return-relatedParty.id}{#tsq-GET-checkServiceQualification__TSQ-return-relatedParty.name}{#tsq-GET-checkServiceQualification__TSQ-return-relatedParty.type}{#tsq-GET-checkServiceQualification__TSQ-return-relatedParty.referredType}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.id}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.qualificationResult}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.state}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.quantity}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.type}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.type}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.place}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.place.id}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.place.name}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.place.type}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceSpecification}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceSpecification.id}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceSpecification.name}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceSpecification.version}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceSpecification.internalVersion}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceSpecification.internalId}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceSpecification.type}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceCharacteristic}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceCharacteristic.valueType}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceCharacteristic.name}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.service.serviceCharacteristic.value}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.id}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateService}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.id}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.name}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.version}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.internalVersion}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.internalId}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.type}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.valueType}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.name}{#tsq-GET-checkServiceQualification__TSQ-return-serviceQualificationItem.alternateServiceProposal.serviceSpecification.serviceCharacteristic.value}{#tsq-GET-checkServiceQualification__serviceQualificationItem.eligibilityUnavailabilityReason}{#tsq-GET-checkServiceQualification__serviceQualificationItem.eligibilityUnavailabilityReason.code}{#tsq-GET-checkServiceQualification__serviceQualificationItem.eligibilityUnavailabilityReason.label}

| Name | Description |
|-|-|
| id | Sys_id of the qualification customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
| href | Relative link to the qualification order record. Data type: String |
| description | Description of the qualification request which is fetched from the short_description field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
| externalId | External ID from the external_id field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
| qualificationResult | Qualification status of the result field of the customer order. Possible values: * alternate * none * pending * qualified * unqualified Data type: String |
| state | State of customer order from the status field of customer order. Data type: String |
| @type | Part of TMF Open API standard. Annotation for the qualification. This value is always `CheckServiceQualification`. This information is not stored. Data type: String |
| checkServiceQualificationDate | Date and time the qualification request that was created from the order_date field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| effectiveQualificationDate | Effective qualification date fetched from the order_date field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| expectedQualificationDate | Stores the expected qualification date. Persisted in expected_end_date field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| relatedParty | List of contacts for the qualification request. Each contact is an object in the array. Data type: Array of Objects "relatedParty": [ { "id": "String", "name": "String", "@referredType": "String", "@type": "String" } ] |
| relatedParty.id | Sys_id or external_id of the account, customer contact, or consumer associated with the order. Located in the Account \[customer_account\] table, Contact \[customer_contact\] table, or Consumer \[csm_consumer\] table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| relatedParty.@type | Part of TMF Open API standard. Annotation for the order line item contact. This value is always `RelatedParty`. This information is not stored. Data type: String |
| relatedParty.@referredType | Type of related party. Possible values: * Consumer * Customer * CustomerContact Data type: String |
| serviceQualificationItem | List of service qualification items containing information about location, service information, and service characteristics. Stored as order line items for the customer order. Data type: Array of Objects "serviceQualificationItem": [ { "id": "String", "action": "String", "expectedServiceAvailabilityDate": "Number", "service": {Object}, "@type": "String" } ], |
| serviceQualificationItem.id | ID of the qualification item. Stored in the external_id field of customer order line item in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| serviceQualificationItem.qualificationResult | Result of qualification item. Stored in the 'result' field of customer order line item. Located in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Possible values: * alternate * none * pending * qualified * unqualified Data type: String |
| serviceQualificationItem.state | State of qualification item derived from the 'status' field of customer order line item. Located in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| serviceQualificationItem.quantity | Quantity of qualification item derived from the 'quantity' field of customer order line item. Located in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: Number |
| serviceQualificationItem.@type | Part of TMF Open API standard. Annotation for the qualification item. This value is always ServiceQualificationItem. This information is not stored. Data type: String |
| serviceQualificationItem.service | Service information which includes details about location (place), service specifications, and service characteristics. Data type: Object "service": { "@type": "String", "place": [Array], "serviceCharacteristic": [Array], "serviceSpecification": {Object} } |
| serviceQualificationItem.service.@type | Part of TMF Open API standard. Annotation for the service. This value is always `Service`. This information is not stored. Data type: String |
| serviceQualificationItem.service.place | Location information for the service qualification item. Data type: Array of objects Note: This array can contain only one location. "place": [ { "id": "String", "name": "String", "@referredType": "String" } ] |
| serviceQualificationItem.service.place.id | Sys_id of a location in the Location \[cmn_location\] table. Data type: String |
| serviceQualificationItem.service.place.name | Name of the location. Not verified against an entry in the Location \[cmn_location\] table. Data type: String |
| serviceQualificationItem.service.place.@type | Part of TMF Open API standard. Annotation for Service. This value is always `GeographicSite`. This information is not stored. Data type: String |
| serviceQualificationItem.service.serviceSpecification | Service specification details for the qualification item. Data type: Array of objects "serviceSpecification": { "id": "String", "internalVersion": "Number", "internalId": "String", "name": "String" "@type": "ServiceSpecification" "version": "String", } |
| serviceQualificationItem.service.serviceSpecification.id | External ID or initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.name | Name of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.version | External version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.internalVersion | Internal version of the service specification. Data type: Number |
| serviceQualificationItem.service.serviceSpecification.internalId | Initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always `ServiceSpecification`. This information is not stored. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic | List of service characteristics. Data type: Array of objects "serviceCharacteristic": [ { "name": "String", "value": "String" "valueType": "String", } ] |
| serviceQualificationItem.service.serviceCharacteristic.valueType | Value type of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.name | Name of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.value | Value of the characteristic. Data type: String |
| ServiceQualificationItem.alternateServiceProposal | Alternate service proposal for the qualification order. Alternate proposals are stored in the Alternate Proposal \[sn_ord_qual_mgmt_alternate_proposal\] table. Data type: String |
| ServiceQualificationItem.alternateServiceProposal.id | Sys_id of the alternate proposal entry in the Alternate Proposal \[sn_ord_qual_mgmt_alternate_proposal\] table. Data type: String |
| ServiceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate | The available_date field value of the alternate proposal entry in the Alternate Proposal \[sn_ord_qual_mgmt_alternate_proposal\] table. Data type: String |
| serviceQualificationItem.alternateServiceProposal.alternateService | Service information represented by the alternate proposal. Data type: Object |
| serviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification | Service specification of the alternate proposal persisted in specification of the Alternate Proposal \[sn_ord_qual_mgmt_alternate_proposal\] table. Data type: Object |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.id | External ID or initial version of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.name | Name of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.version | External version of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalVersion | Internal version of the alternate service specification. Data type: Number |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalId | Initial version of the alternate service specification. Data type: String |
| ServiceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always `ServiceSpecification`. This information is not stored. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic | Array of service characteristics for the alternate service proposal. Data type: Array of objects "serviceCharacteristic": [ { "name": "String", "value": "String", "valueType": "String" } ] |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.valueType | Value type of the alternate service characteristic. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.name | Name of the alternate service characteristic. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.value | Value of the alternate service characteristic. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason | A list of service eligibility unavailability reasons to explain why the service is not available. This value is persisted in unavailability_reason field of the Domain Order \[sn_ind_tmt_orm_domain_order\] table. Data type: Array |
| serviceQualificationItem.eligibilityUnavailabilityReason.code | Service eligibility unavailability reason code. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason.label | Service eligibility unavailability reason label. Data type: String |
[ ]

{#tsq-GET-checkServiceQualification__id_zmj_cmq_fwb}  

### Sample cURL request {#tsq-GET-checkServiceQualification__example_p5z_lmq_fwb}

The following GET call retrieves all qualification orders for an instance.

    curl -location --request GET "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification" \ 
    --user "username":"password"

Response:

    [{
            "id": "001b359545371150f877e0588eca21ca",
            "href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/001b359545371150f877e0588eca21ca",
            "description": "check service qualification illustration",
            "externalId": "CSQ1",
            "qualificationResult": "none",
            "state": "new",
            "@type": "CheckServiceQualification",
            "checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
            "relatedParty": [{
                    "id": "eaf68911c35420105252716b7d40ddde",
                    "name": "Sally Thomas",
                    "@type": "RelatedParty",
                    "@referredType": "CustomerContact"
                },
                {
                    "id": "ffc68911c35420105252716b7d40dd55",
                    "name": "Funco Intl",
                    "@type": "RelatedParty",
                    "@referredType": "Customer"
                },
                {
                    "id": "59f16de1c3b67110ff00ed23a140dd9e",
                    "name": "Funco External",
                    "@type": "RelatedParty",
                    "@referredType": "Consumer"
                }
                {
                    "id": "59f16de1c3b67110ff00ed23a140dd9e",
                    "name": "Funco External",
                    "@type": "RelatedParty",
                    "@referredType": "Consumer"
                }
            ],
            "serviceSpecification": {
                "id": "91478553b7969910ff00f203ae11a97d",
                "name": "Broadband Service",
                "version": "",
                "internalVersion": "1",
                "internalId": "91478553b7969910ff00f203ae11a97d",
                "@type": "ServiceSpecification"
            },
            "place": {
                "id": "5671dd2ec3a53010188473ce3640dd81",
                "name": "3000 Main Street, Santa Clara, CA",
                "@referredType": "GeographicSite"
            }
        }
    }],
    "expectedQualificationDate": "2022-10-11T15:20:39.000Z"
    }, {
        "id": "0236b75145fb1150f877e0588eca2145",
        "href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/0236b75145fb1150f877e0588eca2145",
        "description": "check service qualification illustration",
        "externalId": "CSQ1",
        "qualificationResult": "none",
        "state": "new",
        "@type": "CheckServiceQualification",
        "checkServiceQualificationDate": "2022-12-15T08:57:50.000Z",
        "relatedParty": [{
                "id": "ffc68911c35420105252716b7d40dd55",
                "name": "Funco Intl",
                "@type": "RelatedParty",
                "@referredType": "Customer"
            },
            {
                "id": "eaf68911c35420105252716b7d40ddde",
                "name": "Sally Thomas",
                "@type": "RelatedParty",
                "@referredType": "CustomerContact"
            }
                {
                    "id": "59f16de1c3b67110ff00ed23a140dd9e",
                    "name": "Funco External",
                    "@type": "RelatedParty",
                    "@referredType": "Consumer"
                }
        ],
        "serviceQualificationItem": [{
                "id": "110",
                "qualificationResult": "none",
                "state": "new",
                "quantity": "1",
                "@type": "ServiceQualificationItem",
                "service": {
                    "@type": "Service",
                    "serviceCharacteristic": [{
                        "name": "Fiber Speed",
                        "valueType": "choice",
                        "value": "1Gbps"
                    }],
                    "serviceSpecification": {
                        "id": "4d2b5799457b1150f877e0588eca2116",
                        "name": "CFS3",
                        "version": "",
                        "internalVersion": "1",
                        "internalId": "4d2b5799457b1150f877e0588eca2116",
                        "@type": "ServiceSpecification"
                    },
                    "place": {
                        "id": "5671dd2ec3a53010188473ce3640dd81",
                        "name": "3000 Main Street, Santa Clara, CA",
                        "@referredType": "GeographicSite"
                    }
                }
            },
            {
                "id": "130",
                "qualificationResult": "none",
                "state": "new",
                "quantity": "1",
                "@type": "ServiceQualificationItem",
                "service": {
                    "@type": "Service",
                    "serviceCharacteristic": [{
                        "name": "Wireless Speed",
                        "valueType": "choice",
                        "value": "100 Mbps"
                    }],
                    "serviceSpecification": {
                        "id": "28733d1d45f31150f877e0588eca2163",
                        "name": "CFS2",
                        "version": "",
                        "internalVersion": "1",
                        "internalId": "28733d1d45f31150f877e0588eca2163",
                        "@type": "ServiceSpecification"
                    },
                    "place": {
                        "id": "5671dd2ec3a53010188473ce3640dd81",
                        "name": "3000 Main Street, Santa Clara, CA",
                        "@referredType": "GeographicSite"
                    }
                }
            },
            {
                "id": "100",
                "qualificationResult": "none",
                "state": "new",
                "quantity": "1",
                "@type": "ServiceQualificationItem",
                "service": {
                    "@type": "Service",
                    "serviceCharacteristic": [{
                        "name": "Speed",
                        "valueType": "choice",
                        "value": ""
                    }],
                    "serviceSpecification": {
                        "id": "b3933d9d45f31150f877e0588eca21fc",
                        "name": "Access Service",
                        "version": "",
                        "internalVersion": "1",
                        "internalId": "b3933d9d45f31150f877e0588eca21fc",
                        "@type": "ServiceSpecification"
                    },
                    "place": {
                        "id": "5671dd2ec3a53010188473ce3640dd81",
                        "name": "3000 Main Street, Santa Clara, CA",
                        "@referredType": "GeographicSite"
                    }
                }
            },
            {
                "id": "120",
                "qualificationResult": "none",
                "state": "new",
                "quantity": "1",
                "@type": "ServiceQualificationItem",
                "service": {
                    "@type": "Service",
                    "serviceCharacteristic": [{
                        "name": "DSL Speed",
                        "valueType": "choice",
                        "value": "500 Mbps"
                    }],
                    "serviceSpecification": {
                        "id": "1d43f91d45f31150f877e0588eca21cd",
                        "name": "CFS1",
                        "version": "",
                        "internalVersion": "1",
                        "internalId": "1d43f91d45f31150f877e0588eca21cd",
                        "@type": "ServiceSpecification"
                    },
                    "place": {
                        "id": "5671dd2ec3a53010188473ce3640dd81",
                        "name": "3000 Main Street, Santa Clara, CA",
                        "@referredType": "GeographicSite"
                    }
                }
            }
        ],
        "expectedQualificationDate": "2022-10-11T15:20:39.000Z"
    }
    ]

## Technical Service Qualification Open API - POST
sn_ord_qual_mgmt/qualification/checkServiceQualification {#ariaid-title4}

Creates a technical service qualification request entity containing a list of
qualification items.
The service qualification request is persisted as a customer order with the qualify fulfillment type. Each qualification item is persisted as a customer line order in the Order \[sn_ind_tmt_orm_order_line_item\] table.

### Using this endpoint {#tsq-POST-checkServiceQualification__section_cbh_2th_fwb}

You can use this API method for three specific use cases:

1. Request to qualify a service at a specified address.
2. Request to qualify a new service at the same location of an existing and active access service.
3. Request to upgrade or downgrade an existing service.
{#tsq-POST-checkServiceQualification__ol_c2m_qj1_fwb}

Each use case requires the same request structure but uses different request parameters.
Details about each use case and accepted parameters are provided:  
* To qualify a service at a specified address, use the place array (serviceQualificationItem.service.place) to provide a specific location and the service specification. You can optionally define additional service characteristics in your request.
* To qualify a new service at the same location of an existing and active service, use the referenceServiceInventory object (serviceQualificationItem.service.referenceServiceInventory) instead of the place array. This object allows you to create a request and define service specifications without needing to provide location details. You can optionally define additional service characteristics in your request.
* To upgrade or downgrade an existing service, use the serviceInventory object (serviceQualificationItem.service.ServiceInventory) instead of the place array or the referenceServiceInventory object. In this use case, location information and specification details are fetched from an existing service. In your request, define any service characteristics that you wish to change.

  For example, say that you want to verify that you can upgrade the download speed of an existing, active service from 100Mb/s to 600Mb/s. In this case, you can use the serviceInventory parameter to
  define the request by changing the 'Speed' characteristic from 'Low' to 'High'. The API obtains remaining characteristics from the existing service.
{#tsq-POST-checkServiceQualification__ul_dp3_gth_fwb}

To understand how to form your API request per your particular use case, refer to the
example calls provided in the Example section of this page.

### URL format

Versioned URL:
/api/sn_ord_qual_mgmt/qualification/checkServiceQualification

### Supported request parameters

{#tsq-POST-checkServiceQualification__entry__2}

| Name | Description |
|-|-|
| None |   |
[Table 13. Path parameters]

{#tsq-POST-checkServiceQualification__entry__6}

| Name | Description |
|-|-|
| None |   |
[Table 14. Query parameters]

{#tsq-POST-checkServiceQualification__entry__10}

| Parameter | Description |
|-|-|
| @type | Optional. Part of TMF Open API standard. Annotation for the qualification. This value is always `CheckServiceQualification`. This information is not stored. Data type: String |
| checkServiceQualificationDate | Optional. The date and time the qualification request was created. Located in the order_date field of the Customer Order \[sn_ind_tmt_orm_order\] table. If not specified, order_date is set to the current date and time. Data type: String Format: YYYY-MM-DDTHH:MM:SS.SSSZ |
| description | Optional. The description of the qualification request. Located in the 'short_description' field of the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String Maximum character length: 100 |
| effectiveQualificationDate | Optional. The date that the qualification is effective. Persisted in 'actual_end_date' field of the customer order of the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String Format: YYYY-MM-DDTHH:MM:SS.SSSZ |
| expectedQualificationDate | Optional. The expected qualification date. Persisted in expected_end_date' field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String Format: YYYY-MM-DDTHH:MM:SS.SSSZ |
| externalId | Optional. External ID assigned of the customer order. Persisted in the external_id field of the customer order of the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
| relatedParty | List of contacts for the qualification request. Each contact is an object in the array. Must list at least one item which contains customer account, customer contact, or consumer account information. Data type: Array of Objects "relatedParty": [ { "@referredType": "String", "@type": "String", "id": "String", "name": "String" } ] |
| relatedParty.@referredType | Type of related party. Possible values: * consumer * customer * customerContact Data type: String |
| relatedParty.@type | Optional. Part of TMF Open API standard. Annotation for the order line item contact. This value is always `RelatedParty`. This information is not stored. Data type: String |
| relatedParty.id | The sys_id or external_id, if applicable, of the related party. Located in the Account \[customer_account\] table, Contact \[customer_contact\] table, or Consumer \[csm_consumer\] table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| serviceQualificationItem | List of service qualification items with location, service information, and characteristics. Stored as order line items for the customer order. Must include at least one service qualification item in the list. Data type: Array of objects "serviceQualificationItem": [{ "@type": "String", "id": "String", "qualificationResult": "String", "quantity": "Number", "service": {Object}, "state": "String" ] |
| serviceQualificationItem.@type | Optional. Part of TMF Open API standard. Annotation for qualification item. This value is always `ServiceQualificationItem`. This information is not stored. Data Type: String |
| serviceQualificationItem.qualificationItemRelationship | Optional. List of relationships with other service qualification items in the same request. This information helps to create order line items with a parent order line item. Data type: Array of objects "qualificationItemRelationship": [ { "id": "String" "relationshipType": "String" } ] |
| serviceQualificationItem.qualificationItemRelationship.id | Required. The ID of the target qualification item in the relationship. Data Type: String |
| serviceQualificationItem.qualificationItemRelationship.relationshipType | Required. The type of line item relationship. Valid values: * HasChild: indicates the child item. * HasParent:indicates the parent item. Data Type: String |
| serviceQualificationItem.quantity | Optional. Quantity of the qualification item. Persisted in the 'quantity' field of customer order line item. Data type: Number Default if not specified: 1 |
| serviceQualificationItem.service | Required. Service information which can include such variables as place, service specification, and service characteristics. Data Type: Object "service": { "@type": "String", "place": [Array], "serviceCharacteristic": [Array], "serviceSpecification": {Object} } |
| serviceQualificationItem.service.@type | Optional. Part of TMF Open API standard. Annotation for Service information for qualification item. This value is always `Service`. This information is not stored. Data Type: String |
| serviceQualificationItem.service.place | Optional. The requested location information for the service qualification item. Located in the Location \[cmn_location\] table. Note: Even though array is supported, it must contain only one location. Data Type: Array of objects "place": [ { "@type": "String" "id": "String", "name": "String" } ] |
| serviceQualificationItem.service.place.@type | Optional. Part of TMF Open API standard. Annotation for Service. This value is always `GeographicSite`. This information is not stored. Data Type: String |
| serviceQualificationItem.service.place.id | Required. Sys_id of a location in the Location \[cmn_location\] table. This location ID should be a valid entry in the Location \[cmn_location\] table. Data Type: String |
| serviceQualificationItem.service.place.name | Optional. Name of the location. This value is not verified against entries in the Location \[cmn_location\] table. Data Type: String |
| serviceQualificationItem.service.referenceServiceInventory | Required. Valid service inventory entity which refers to an active service for the required location. The location information for the qualification order is obtained from this service inventory's location. Important: Use the referenceServiceInventory object to qualify a new service at the same location of an existing and active Access service. To do so, you must also omit the place array and serviceInventory object from your request, otherwise the API returns an error. Data type: Object "referenceServiceInventory": { "id": "String" } |
| serviceQualificationItem.service.referenceServiceInventory.id | Required if using serviceQualificationItem.service.referenceServiceInventory in the request. The sys_id of a valid service inventory entity which refers to an active service for the required location. This information is mentioned only in the order work notes. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic | Optional. Array of service characteristics. Data Type: Array of objects "serviceCharacteristic": [ { "name": "String", "value": "String", "valueType": "String", } ] |
| serviceQualificationItem.service.serviceCharacteristic.name | Required. Name of the characteristic. Data Type: String |
| serviceQualificationItem.service.serviceCharacteristic.value | Optional. Value of the characteristic. Part of TMF Open API standard. Annotation for Qualification item. This value is always `ServiceQualificationItem`. This information is not stored. Data Type: String |
| serviceQualificationItem.service.serviceCharacteristic.valueType | Optional. Value type of the characteristic. Data Type: String |
| serviceQualificationItem.service.serviceInventory | Optional. Valid service inventory entity which refers to an active service needing an upgrade or downgrade. Important: Use the serviceInventory object for service upgrades or downgrades. To do so, you must omit the place array and referenceServiceInventory object from your request, otherwise the API returns an error. Data type: Object "serviceInventory": { "id": "String" } |
| serviceQualificationItem.service.serviceSpecification | Required. Service specification for the qualification item. Stored in the service_specification field of the customer order line item in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Service specifications for a qualification item can't be resource-facing. Data Type: Object "serviceSpecification": { "@type": "String", "id": "String", "name": "String" } |
| serviceQualificationItem.service.serviceSpecification.@type | Optional. Part of TMF Open API standard. Annotation for the service specification. This value is always `ServiceSpecification`. This information is not stored. Data Type: String |
| serviceQualificationItem.service.serviceSpecification.id | Required. External ID or initial version of the service specification. Data Type: String |
| serviceQualificationItem.service.serviceSpecification.internalVersion | Optional. Internal version of the service specification. Data Type: Number |
| serviceQualificationItem.service.serviceSpecification.name | Required. Name of the service specification. Data Type: String |
| serviceQualificationItem.service.serviceSpecification.version | Optional. External version of the service specification. Data Type: String |
[Table 15. Request body parameters (XML or JSON)]

### Headers

The following request and response headers apply to this HTTP
action only, or apply to this action in a distinct way. For a list of general headers used
in the REST API, see [Supported REST API headers](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tsq-POST-checkServiceQualification__entry__84}{#tsq-POST-checkServiceQualification__accept-RESTAPI}{#tsq-POST-checkServiceQualification__content_type-RESTAPI}

| Header | Description |
|-|-|
| Accept | Data format of the response body. Supported types: application/json or application/xml. Default: application/json |
| Content-Type | Data format of the request body. Supported types: application/json or application/xml. Default: application/json |
[Table 16. Request headers]

{#tsq-POST-checkServiceQualification__entry__90}

| Header | Description |
|-|-|
| None |   |
[Table 17. Response headers]

### Status codes

The following status codes apply to this HTTP action. For a
list of possible status codes used in the REST API, see [REST API HTTP response
codes](https://servicenow-prod.fluidtopics.net/2vuQj3~2s_niNXyXhrbRZA "REST (REpresentational State Transfer) is a simple stateless architecture that provides standards between computer systems on the web, making it easier for them to communicate with each other.").
{#tsq-POST-checkServiceQualification__table_fbw_k3z_gsb__entry__2}{#tsq-POST-checkServiceQualification__entry-500-status-code}

| Status code | Description |
|-|-|
| 201 | Request successfully processed. Note: If there are any issues with the characteristics or characteristics option information, the endpoint stores the following comments in the work notes fields of the associated Customer Order Line Item record similar to existing delivery orders |
| 400 | Bad Request. Could be any of the following reasons: * Empty payload. * Invalid payload: Mandatory field missing: \<field name\> * Invalid payload: Request body missing - Payload was not passed in the request body. * Invalid payload: relatedParty is missing. * Invalid payload: serviceQualificationItem is missing. * Invalid payload: serviceQualificationItem id is missing. * Invalid payload: serviceQualificationItem service is missing. * Invalid payload: The location information is missing. Please provide place, serviceInventory or referenceServiceInventory. * Invalid payload: The specification information is missing, please provide serviceSpecification or serviceInventory. * Invalid payload: Service Specification does not exist. * Invalid payload: Customer Account does not exist. * Invalid payload: Consumer does not exist. {#tsq-POST-checkServiceQualification__ul_nc5_myx_fsb} |
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
[Table 18. Status codes]

{#tsq-POST-checkServiceQualification__table_fbw_k3z_gsb}

### Response body parameters (JSON or XML)

{#tsq-POST-checkServiceQualification__table_mc1_pr1_tx__entry__2}

| Element | Description |
|-|-|
| id | Sys_id of the qualification customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
| href | Relative link to the qualification order record. Data type: String |
| description | Description of the qualification request which is fetched from the short_description field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
| externalId | External ID from the external_id field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Data type: String |
| qualificationResult | Qualification status of the result field of the customer order. Possible values: * alternate * none * pending * qualified * unqualified Data type: String |
| state | State of customer order from the status field of customer order. Data type: String |
| @type | Part of TMF Open API standard. Annotation for the qualification. This value is always `CheckServiceQualification`. This information is not stored. Data type: String |
| checkServiceQualificationDate | Date and time the qualification request that was created from the order_date field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| effectiveQualificationDate | Effective qualification date fetched from the order_date field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| expectedQualificationDate | Stores the expected qualification date. Persisted in expected_end_date field of the customer order. Located in the Customer Order \[sn_ind_tmt_orm_order\] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| relatedParty | List of contacts for the qualification request. Each contact is an object in the array. Data type: Array of Objects "relatedParty": [ { "id": "String", "name": "String", "@referredType": "String", "@type": "String" } ] |
| relatedParty.id | Sys_id or external_id of the account, customer contact, or consumer associated with the order. Located in the Account \[customer_account\] table, Contact \[customer_contact\] table, or Consumer \[csm_consumer\] table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| relatedParty.@type | Part of TMF Open API standard. Annotation for the order line item contact. This value is always `RelatedParty`. This information is not stored. Data type: String |
| relatedParty.@referredType | Type of related party. Possible values: * Consumer * Customer * CustomerContact Data type: String |
| serviceQualificationItem | List of service qualification items containing information about location, service information, and service characteristics. Stored as order line items for the customer order. Data type: Array of Objects "serviceQualificationItem": [ { "id": "String", "action": "String", "expectedServiceAvailabilityDate": "Number", "service": {Object}, "@type": "String" } ], |
| serviceQualificationItem.id | ID of the qualification item. Stored in the external_id field of customer order line item in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| serviceQualificationItem.qualificationResult | Result of qualification item. Stored in the 'result' field of customer order line item. Located in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Possible values: * alternate * none * pending * qualified * unqualified Data type: String |
| serviceQualificationItem.state | State of qualification item derived from the 'status' field of customer order line item. Located in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: String |
| serviceQualificationItem.quantity | Quantity of qualification item derived from the 'quantity' field of customer order line item. Located in the Order Line Item \[sn_ind_tmt_orm_order_line_item\] table. Data type: Number |
| serviceQualificationItem.@type | Part of TMF Open API standard. Annotation for the qualification item. This value is always ServiceQualificationItem. This information is not stored. Data type: String |
| serviceQualificationItem.service | Service information which includes details about location (place), service specifications, and service characteristics. Data type: Object "service": { "@type": "String", "place": [Array], "serviceCharacteristic": [Array], "serviceSpecification": {Object} } |
| serviceQualificationItem.service.@type | Part of TMF Open API standard. Annotation for the service. This value is always `Service`. This information is not stored. Data type: String |
| serviceQualificationItem.service.place | Location information for the service qualification item. Data type: Array of objects Note: This array can contain only one location. "place": [ { "id": "String", "name": "String", "@referredType": "String" } ] |
| serviceQualificationItem.service.place.id | Sys_id of a location in the Location \[cmn_location\] table. Data type: String |
| serviceQualificationItem.service.place.name | Name of the location. Not verified against an entry in the Location \[cmn_location\] table. Data type: String |
| serviceQualificationItem.service.place.@type | Part of TMF Open API standard. Annotation for Service. This value is always `GeographicSite`. This information is not stored. Data type: String |
| serviceQualificationItem.service.serviceSpecification | Service specification details for the qualification item. Data type: Array of objects "serviceSpecification": { "id": "String", "internalVersion": "Number", "internalId": "String", "name": "String" "@type": "ServiceSpecification" "version": "String", } |
| serviceQualificationItem.service.serviceSpecification.id | External ID or initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.name | Name of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.version | External version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.internalVersion | Internal version of the service specification. Data type: Number |
| serviceQualificationItem.service.serviceSpecification.internalId | Initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always `ServiceSpecification`. This information is not stored. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic | List of service characteristics. Data type: Array of objects "serviceCharacteristic": [ { "name": "String", "value": "String" "valueType": "String", } ] |
| serviceQualificationItem.service.serviceCharacteristic.valueType | Value type of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.name | Name of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.value | Value of the characteristic. Data type: String |
[Table 19. Elements returned in the response body]

{#tsq-POST-checkServiceQualification__table_mc1_pr1_tx}  

### Use Case 1 {#tsq-POST-checkServiceQualification__example_pdb_mdq_fwb}

The following example shows a simple request containing a single qualification item.

    curl -X POST "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification " \ 
    -H "Accept: application/json" \ 
    -H "Content-Type: application/json" \ 
    -u "username":"password" \ 
    -d {
      "description": "check service qualification illustration",
      "checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
      "effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
      "expectedQualificationDate": "2023-10-11T15:20:39.000Z",
      "externalId": "CSQ1",
      "relatedParty": [
        {
          "id": "eaf68911c35420105252716b7d40ddde",
          "name": "Sally Thomas",
          "@type": "RelatedParty",
          "@referredType": "CustomerContact"
        },
        {
          "id": "ffc68911c35420105252716b7d40dd55",
          "name": "Funco Intl",
          "@type": "RelatedParty",
          "@referredType": "Customer"
        },
        {
          "id": "59f16de1c3b67110ff00ed23a140dd9e",
          "name": "Funco External",
          "@type": "RelatedParty",
          "@referredType": "Consumer"
        }
      ],
      "serviceQualificationItem": [
        {
          "id": "100",
          "service": {
            "@type": "Service",
            "place": [
              {
                "id": "5671dd2ec3a53010188473ce3640dd81",
                "name": "Jean Pontus home",
                "@type": "GeographicSite"
              }
            ],
            "serviceCharacteristic": [
              {
                "valueType": "choice",
                "name": "Speed",
                "value": "High"
              }
            ],
            "serviceSpecification": {
              "id": "91478553b7969910ff00f203ae11a97d",
              "name": "Broadband Service",
              "@type": "ServiceSpecification"
            }
          },
          "@type": "ServiceQualificationItem"
        }
      ],
      "@type": "CheckServiceQualification"
    }

Response:

    {
      "id": "0b45c47938bf1110f877c8d44c4b895d",
      "href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/0b45c47938bf1110f877c8d44c4b895d",
      "description": "check service qualification illustration",
      "externalId": "CSQ1",
      "qualificationResult": "none",
      "state": "new",
      "@type": "CheckServiceQualification",
      "checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
      "relatedParty": [
        {
          "id": "eaf68911c35420105252716b7d40ddde",
          "name": "Sally Thomas",
          "@type": "RelatedParty",
          "@referredType": "CustomerContact"
        },
        {
          "id": "ffc68911c35420105252716b7d40dd55",
          "name": "Funco Intl",
          "@type": "RelatedParty",
          "@referredType": "Customer"
        },
        {
          "id": "59f16de1c3b67110ff00ed23a140dd9e",
          "name": "Funco External",
          "@type": "RelatedParty",
          "@referredType": "Consumer"
        }
      ],
      "serviceQualificationItem": [
        {
          "id": "100",
          "qualificationResult": "none",
          "state": "new",
          "quantity": "1",
          "@type": "ServiceQualificationItem",
          "service": {
            "@type": "Service",
            "serviceCharacteristic": [
              {
                "name": "Speed",
                "valueType": "choice",
                "value": "High"
              }
            ],
            "serviceSpecification": {
              "id": "91478553b7969910ff00f203ae11a97d",
              "name": "Broadband Service",
              "version": "",
              "internalVersion": "1",
              "internalId": "91478553b7969910ff00f203ae11a97d",
              "@type": "ServiceSpecification"
            },
            "place": {
              "id": "5671dd2ec3a53010188473ce3640dd81",
              "name": "3000 Main Street, Santa Clara, CA",
              "@referredType": "GeographicSite"
            }
          }
        }
      ],
      "effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
      "expectedQualificationDate": "2023-10-11T15:20:39.000Z"
    }

### Use Case 2 {#tsq-POST-checkServiceQualification__example_xzc_psb_fwb}

The following example demonstrates how to request a simple service qualification using an
ID to obtain the customer's location with an existing service.  
Note:  
Reference Service Inventory with id = is a product inventory with location = 20220 Bow Willow, Houston,TX

    curl -X POST "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification " \ 
    -H "Accept: application/json" \ 
    -H "Content-Type: application/json" \ 
    -u "username":"password" \ 
    -d {
      "description": "check service qualification illustration",
      "checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
      "effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
      "expectedQualificationDate": "2023-10-11T15:20:39.000Z",
      "externalId": "CSQ1",
      "relatedParty": [
        {
          "id": "eaf68911c35420105252716b7d40ddde",
          "name": "Sally Thomas",
          "@type": "RelatedParty",
          "@referredType": "CustomerContact"
        },
        {
          "id": "ffc68911c35420105252716b7d40dd55",
          "name": "Funco Intl",
          "@type": "RelatedParty",
          "@referredType": "Customer"
        },
        {
          "id": "59f16de1c3b67110ff00ed23a140dd9e",
          "name": "Funco External",
          "@type": "RelatedParty",
          "@referredType": "Consumer"
        }
      ],
      "serviceQualificationItem": [
        {
          "id": "100",
          "service": {
            "@type": "Service",
            "referenceServiceInventory": {
              "id": "f1b2d99e777301108e191e599a5a99d2"
            },
            "serviceCharacteristic": [
              {
                "valueType": "choice",
                "name": "Speed",
                "value": "High"
              }
            ],
            "serviceSpecification": {
              "id": "91478553b7969910ff00f203ae11a97d",
              "name": "Broadband Service",
              "@type": "ServiceSpecification"
            }
          },
          "@type": "ServiceQualificationItem"
        }
      ],
      "@type": "CheckServiceQualification"
    }

Response, where place is populated from
referenceServiceInventory in the request.

    {
        "id": "1683497138b35110f877c8d44c4b890a",
       "href":"/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/1683497138b35110f877c8d44c4b890a",
        "description": "check service qualification illustration",
        "externalId": "CSQ1",
        "qualificationResult": "none",
        "state": "new",
        "@type": "CheckServiceQualification",
        "checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
        "relatedParty": [
            {
                "id": "eaf68911c35420105252716b7d40ddde",
                "name": "Sally Thomas",
                "@type": "RelatedParty",
                "@referredType": "CustomerContact"
            },
            {
                "id": "ffc68911c35420105252716b7d40dd55",
                "name": "Funco Intl",
                "@type": "RelatedParty",
                "@referredType": "Customer"
            },
            {
                "id": "59f16de1c3b67110ff00ed23a140dd9e",
                "name": "Funco External",
                "@type": "RelatedParty",
                "@referredType": "Consumer"
            }
        ],
        "serviceQualificationItem": [
            {
                "id": "100",
                "qualificationResult": "none",
                "state": "new",
                "quantity": "1",
                "@type": "ServiceQualificationItem",
                "service": {
                    "@type": "Service",
                    "serviceCharacteristic": [
                        {
                            "name": "Speed",
                            "valueType": "choice",
                            "value": "High"
                        }
                    ],
                    "serviceSpecification": {
                        "id": "91478553b7969910ff00f203ae11a97d",
                        "name": "Broadband Service",
                        "version": "",
                        "internalVersion": "1",
                        "internalId": "91478553b7969910ff00f203ae11a97d",
                        "@type": "ServiceSpecification"
                    },
                    "place": {
                        "id": "25aba4010a0a0bb3008f329002f12211",
                        "name": "20220 Bow Willow, Houston,TX",
                        "@referredType": "GeographicSite"
                    }
                }
            }
        ],
        "effectiveQualificationDate": "2022-12-14T23:44:44.000Z",
        "expectedQualificationDate": "2023-10-11T15:20:39.000Z"
    }

### Use Case 3 {#tsq-POST-checkServiceQualification__example_on1_dtb_fwb}

The following example demonstrates how to upgrade a user's broadband service to a higher
speed. Service Inventory with id = is a product inventory with Service Specification =
'Broadband Service', Location = 20220 Bow Willow, Houston, TX,
Characteristics=\[{Speed:Medium}\].

    {
      "description": "check service qualification illustration",
      "checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
      "effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
      "expectedQualificationDate": "2023-10-11T15:20:39.000Z",
      "externalId": "CSQ1",
      "relatedParty": [
        {
          "id": "eaf68911c35420105252716b7d40ddde",
          "name": "Sally Thomas",
          "@type": "RelatedParty",
          "@referredType": "CustomerContact"
        },
        {
          "id": "ffc68911c35420105252716b7d40dd55",
          "name": "Funco Intl",
          "@type": "RelatedParty",
          "@referredType": "Customer"
        },
        {
          "id": "59f16de1c3b67110ff00ed23a140dd9e",
          "name": "Funco External",
          "@type": "RelatedParty",
          "@referredType": "Consumer"
        }
      ],
      "serviceQualificationItem": [
        {
          "id": "100",
          "service": {
            "@type": "Service",
            "serviceInventory": {
              "id": "f1b2d99e777301108e191e599a5a99d2"
            },
            "serviceCharacteristic": [
              {
                "valueType": "choice",
                "name": "Speed",
                "value": "High"
              }
            ]
          },
          "@type": "ServiceQualificationItem"
        }
      ],
      "@type": "CheckServiceQualification"
    }

Response, where place and specification are populated from serviceInventory in the request.  
Note:  
Characteristics are taken from the request payload first, then remaining characteristics (if any) are obtained from serviceInventory.

    {
        "id": " db8485b138b35110f877c8d44c4b892b",
        "href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/ db8485b138b35110f877c8d44c4b892b",
        "description": "check service qualification illustration",
        "externalId": "CSQ1",
        "qualificationResult": "none",
        "state": "new",
        "@type": "CheckServiceQualification",
        "checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
        "relatedParty": [
            {
                "id": "eaf68911c35420105252716b7d40ddde",
                "name": "Sally Thomas",
                "@type": "RelatedParty",
                "@referredType": "CustomerContact"
            },
            {
                "id": "ffc68911c35420105252716b7d40dd55",
                "name": "Funco Intl",
                "@type": "RelatedParty",
                "@referredType": "Customer"
            },
            {
                "id": "59f16de1c3b67110ff00ed23a140dd9e",
                "name": "Funco External",
                "@type": "RelatedParty",
                "@referredType": "Consumer"
            }
        ],
        "serviceQualificationItem": [
            {
                "id": "100",
                "qualificationResult": "none",
                "state": "new",
                "quantity": "1",
                "@type": "ServiceQualificationItem",
                "service": {
                    "@type": "Service",
                    "serviceCharacteristic": [
                        {
                            "name": "Speed",
                            "valueType": "choice",
                            "value": "High"
                        }
                    ],
                    "serviceSpecification": {
                        "id": "91478553b7969910ff00f203ae11a97d",
                        "name": "Broadband Service",
                        "version": "",
                        "internalVersion": "1",
                        "internalId": "91478553b7969910ff00f203ae11a97d",
                        "@type": "ServiceSpecification"
                    },
                    "place": {
                        "id": "25aba4010a0a0bb3008f329002f12211",
                        "name": "20220 Bow Willow, Houston,TX",
                        "@referredType": "GeographicSite"
                    }
                }
            }
        ],
        "effectiveQualificationDate": "2022-12-14T23:44:44.000Z",
        "expectedQualificationDate": "2023-10-11T15:20:39.000Z"
    }

### Use Case 4 {#tsq-POST-checkServiceQualification__example_gwj_ntb_fwb}

Describes the hierarchy of parent and child line items and their relationship types. It
demonstrates how multiple line items can be created via the quantity attribute.

    curl -X POST "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification " \ 
    -H "Accept: application/json" \ 
    -H "Content-Type: application/json" \ 
    -u "username":"password" \ 
    -d {
      "description": "check service qualification illustration",
      "checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
      "effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
      "expectedQualificationDate": "2023-10-11T15:20:39.000Z",
      "externalId": "CSQ1",
      "relatedParty": [
        {
          "id": "eaf68911c35420105252716b7d40ddde",
          "name": "Sally Thomas",
          "@type": "RelatedParty",
          "@referredType": "CustomerContact"
        },
        {
          "id": "ffc68911c35420105252716b7d40dd55",
          "name": "Funco Intl",
          "@type": "RelatedParty",
          "@referredType": "Customer"
        },
        {
          "id": "59f16de1c3b67110ff00ed23a140dd9e",
          "name": "Funco External",
          "@type": "RelatedParty",
          "@referredType": "Consumer"
        }
      ],
      "serviceQualificationItem": [
        {
          "id": "100",
          "quantity": 2,
          "qualificationItemRelationship": [
            {
              "relationshipType": "HasChild",
              "id": "110"
            },
            {
              "relationshipType": "HasChild",
              "id": "120"
            },
            {
              "relationshipType": "HasChild",
              "id": "130"
            }
          ],
          "service": {
            "@type": "Service",
            "place": [
              {
                "id": "5671dd2ec3a53010188473ce3640dd81",
                "name": "Jean Pontus home",
                "@referredType": "GeographicSite"
              }
            ],
            "serviceCharacteristic": [
              {
                "valueType": "string",
                "name": "Speed",
                "value": "High"
              }
            ],
            "serviceSpecification": {
              "id": "b3933d9d45f31150f877e0588eca21fc",
              "name": "Access Service"
            }
          },
          "@type": "ServiceQualificationItem"
        },
        {
          "id": "110",
          "action": "add",
          "expectedServiceAvailabilityDate": "2022-12-10T19:20:39.239Z",
          "qualificationItemRelationship": [
            {
              "relationshipType": "HasParent",
              "id": "100"
            }
          ],
          "service": {
            "@type": "Service",
            "place": [
              {
                "id": "5671dd2ec3a53010188473ce3640dd81",
                "name": "Jean Pontus home",
                "@referredType": "GeographicSite"
              }
            ],
            "serviceCharacteristic": [
              {
                "valueType": "choice",
                "name": "Fiber Speed",
                "value": "1Gbps"
              }
            ],
            "serviceSpecification": {
              "name": "CFS3",
              "internalVersion": "1",
              "id": "4d2b5799457b1150f877e0588eca2116"
            },
            "state": "new"
          },
          "@type": "ServiceQualificationItem"
        },
        {
          "id": "120",
          "action": "add",
          "qualificationItemRelationship": [
            {
              "relationshipType": "HasParent",
              "id": "100"
            }
          ],
          "expectedServiceAvailabilityDate": "2022-11-12T19:20:39.239Z",
          "service": {
            "@type": "Service",
            "place": [
              {
                "id": "5671dd2ec3a53010188473ce3640dd81",
                "name": "Jean Pontus home",
                "@referredType": "GeographicSite"
              }
            ],
            "serviceCharacteristic": [
              {
                "valueType": "choice",
                "name": "DSL Speed",
                "value": "500 Mbps"
              }
            ],
            "serviceSpecification": {
              "name": "CF1",
              "internalVersion": "1",
              "id": "1d43f91d45f31150f877e0588eca21cd"
            },
            "state": "new"
          },
          "@type": "ServiceQualificationItem"
        },
        {
          "id": "130",
          "action": "add",
          "expectedServiceAvailabilityDate": "2020-04-11T19:20:39.239Z",
          "qualificationItemRelationship": [
            {
              "relationshipType": "HasParent",
              "id": "100"
            }
          ],
          "service": {
            "@type": "Service",
            "place": [
              {
                "id": "5671dd2ec3a53010188473ce3640dd81",
                "name": "Jean Pontus home",
                "@referredType": "GeographicSite"
              }
            ],
            "serviceCharacteristic": [
              {
                "valueType": "choice",
                "name": "Wireless Speed",
                "value": "100 Mbps"
              }
            ],
            "serviceSpecification": {
              "name": "CFS2",
              "internalVersion": "1",
              "id": "28733d1d45f31150f877e0588eca2163"
            },
            "state": "new"
          },
          "@type": "ServiceQualificationItem"
        }
      ],
      "@type": "CheckServiceQualification"
    }

Response:

    {
      "id": "7bf9cd7538b35110f877c8d44c4b89e4",
      "href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/7bf9cd7538b35110f877c8d44c4b89e4",
      "description": "check service qualification illustration",
      "externalId": "CSQ1",
      "qualificationResult": "none",
      "state": "new",
      "@type": "CheckServiceQualification",
      "checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
      "relatedParty": [
        {
          "id": "eaf68911c35420105252716b7d40ddde",
          "name": "Sally Thomas",
          "@type": "RelatedParty",
          "@referredType": "CustomerContact"
        },
        {
[...]
